<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado    = $_SESSION['idUsuarioLogado'];
$opcaoFiltro  = $_POST['opcaoFiltro'];

switch ($opcaoFiltro) {

  case 'afastar-profissional':
    $idUnidade      = $_POST['idUnidade'];
    $idProfissional = $_POST['idProfissional'];
    # -- carregar grupos -- #
    $sqlGrupo = "SELECT reg_tb_agenda_grupoprocedimento.id_grupo_procedimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento
    FROM reg_tb_agenda_grupoprocedimento 
    INNER JOIN reg_tb_agenda ON (reg_tb_agenda_grupoprocedimento.id_agenda = reg_tb_agenda.id_agenda)
    INNER JOIN reg_tb_procedimento_grupo ON (reg_tb_procedimento_grupo.id_grupo_procedimento = reg_tb_agenda_grupoprocedimento.id_grupo_procedimento)
    WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$idUnidade') AND (reg_tb_agenda.codigoprofissional_cnes='$idProfissional')
    GROUP BY reg_tb_procedimento_grupo.nome_grupo_procedimento
    ORDER BY reg_tb_procedimento_grupo.nome_grupo_procedimento";
    $stmGrupo = $rsConexao->prepare($sqlGrupo);
    $stmGrupo->execute();
    echo "<option value=''>SELECIONE...</option>";
    if ($stmGrupo->rowCount() > 0) {
      $rsGrupo = $stmGrupo->fetchAll(PDO::FETCH_ASSOC);
      echo "<optgroup label='GRUPOS:'>";
      foreach ($rsGrupo as $fieldGrupo) {
        $idGrupo  = $fieldGrupo['id_grupo_procedimento'];
        $nomeGrupo  = mb_strtoupper($fieldGrupo['nome_grupo_procedimento']);
        echo "<option value='GRUPO##$idGrupo'>$nomeGrupo</option>";
      }
      echo "</optgroup>";
    }
    # -- carregar procedimentos -- #
    $sqlProcedimento = "SELECT reg_tb_procedimento.id_procedimento,
    reg_tb_procedimento.nome_procedimento
    FROM reg_tb_agenda 
    INNER JOIN reg_tb_procedimento ON (reg_tb_agenda.id_procedimento = reg_tb_procedimento.id_procedimento)
    WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$idUnidade') AND (reg_tb_agenda.codigoprofissional_cnes='$idProfissional')
    GROUP BY reg_tb_procedimento.nome_procedimento";

    $stmProcedimento = $rsConexao->prepare($sqlProcedimento);
    $stmProcedimento->execute();
    if ($stmProcedimento->rowCount() > 0) {
      $rsProcedimento = $stmProcedimento->fetchAll(PDO::FETCH_ASSOC);
      echo "<optgroup label='PROCEDIMENTOS:'>";
      foreach ($rsProcedimento as $fieldProcedimento) {
        $idProcedimento   = $fieldProcedimento['id_procedimento'];
        $nomeProcedimento = mb_strtoupper($fieldProcedimento['nome_procedimento']);
        echo "<option value='PROCEDIMENTO##$idProcedimento'>$nomeProcedimento</option>";
      }
      echo "</optgroup>";
    }
    break;

  case "agendamentos-profissional-grupo";
    $codigoProfissional = $_POST['codigoProfissional'];
    $codigoEstabelecimento = $_POST['codigoEstabelecimento'];

    $sqlGrupo = "SELECT reg_tb_procedimento_grupo.id_grupo_procedimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento
    FROM reg_tb_agenda
    INNER JOIN reg_tb_procedimento_grupo ON (reg_tb_agenda.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    WHERE (reg_tb_agenda.codigoprofissional_cnes='$codigoProfissional')
    AND (reg_tb_agenda.codigoestabelecimento_cnes='$codigoEstabelecimento')
    GROUP BY reg_tb_procedimento_grupo.id_grupo_procedimento, reg_tb_procedimento_grupo.nome_grupo_procedimento";
    $stmGrupo  = $rsConexao->prepare($sqlGrupo);
    $stmGrupo->execute();
    $rsGrupo = $stmGrupo->fetchAll(PDO::FETCH_ASSOC);
    $totalGrupo  = $stmGrupo->rowCount();
    $htmlGrupo = "<option value=''>TODOS...</option>";
    if ($totalGrupo > 0) {
      foreach ($rsGrupo as $fieldGrupo) {
        $idGrupo = $fieldGrupo['id_grupo_procedimento'];
        $nomeGrupo = mb_strtoupper($fieldGrupo['nome_grupo_procedimento']);
        if ($nomeGrupo != "NÃO AGRUPADOS" || $nomeGrupo != "NÃO SE APLICA") {
          $htmlGrupo .= "<option value='$idGrupo'>GRUPO - $nomeGrupo</option>";
        } else {
          $htmlGrupo .= "<option value='$idGrupo'>$nomeGrupo</option>";
        }
      }
    }
    echo $htmlGrupo;
    break;

  case 'relatorio-producao-profissional':
    $codigoProfissional     = $_POST['codigoProfissional'];
    $codigoEstabelecimento  = $_POST['codigoEstabelecimento'];
    $whereProfissional      = $codigoProfissional == "" ? "" : " AND (reg_tb_agenda.codigoprofissional_cnes='$codigoProfissional') ";
    $sqlGrupo = "SELECT reg_tb_procedimento_grupo.id_grupo_procedimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento
    FROM reg_tb_agenda
    INNER JOIN reg_tb_procedimento_grupo ON (reg_tb_agenda.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    WHERE (reg_tb_agenda.codigoestabelecimento_cnes='$codigoEstabelecimento') $whereProfissional 
    GROUP BY reg_tb_procedimento_grupo.id_grupo_procedimento, reg_tb_procedimento_grupo.nome_grupo_procedimento";
    $stmGrupo  = $rsConexao->prepare($sqlGrupo);
    $stmGrupo->execute();
    $rsGrupo = $stmGrupo->fetchAll(PDO::FETCH_ASSOC);
    $totalGrupo  = $stmGrupo->rowCount();
    $htmlGrupo = "<option value=''>TODOS...</option>";
    if ($totalGrupo > 0) {
      foreach ($rsGrupo as $fieldGrupo) {
        $idGrupo = $fieldGrupo['id_grupo_procedimento'];
        $nomeGrupo = mb_strtoupper($fieldGrupo['nome_grupo_procedimento']);
        if ($nomeGrupo != "NÃO AGRUPADOS" || $nomeGrupo != "NÃO SE APLICA") {
          $htmlGrupo .= "<option value='$idGrupo'>GRUPO - $nomeGrupo</option>";
        } else {
          $htmlGrupo .= "<option value='$idGrupo'>$nomeGrupo</option>";
        }
      }
    }
    echo $htmlGrupo;
    break;

  case 'unidade-grupoprocedimento-teto':
  
    $idUnidadeSaude       = $_POST['idUnidadeSaude'];
    $sqlGrupoProcedimento = "SELECT reg_tb_procedimento_grupo.nome_grupo_procedimento, 
    reg_tb_procedimento_grupo.id_grupo_procedimento
    FROM reg_tb_tetounidade
    INNER JOIN reg_tb_procedimento_grupo ON (reg_tb_tetounidade.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    WHERE (reg_tb_tetounidade.codigoestabelecimento_cnes='$idUnidadeSaude')
    GROUP BY reg_tb_procedimento_grupo.nome_grupo_procedimento";
    echo "<option value=''>SELECIONE...</option>";
    $stmGrupoProcedimento = $rsConexao->prepare($sqlGrupoProcedimento);
    $stmGrupoProcedimento->execute();
    if($stmGrupoProcedimento->rowCount()>0){
      $rsGrupoProcedimento  = $stmGrupoProcedimento->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsGrupoProcedimento as $fieldGrupoProcedimento) {
        $idGrupoProcedimento    = $fieldGrupoProcedimento['id_grupo_procedimento'];
        $nomeGrupoProcedimento  = $fieldGrupoProcedimento['nome_grupo_procedimento'];
        if($nomeGrupoProcedimento=="NÃO AGRUPADOS" || $nomeGrupoProcedimento=="NÃO SE APLICA"){
          echo "<option value='$idGrupoProcedimento'>$nomeGrupoProcedimento</option>";
        }
      }
      foreach ($rsGrupoProcedimento as $fieldGrupoProcedimento) {
        $idGrupoProcedimento    = $fieldGrupoProcedimento['id_grupo_procedimento'];
        $nomeGrupoProcedimento  = $fieldGrupoProcedimento['nome_grupo_procedimento'];
        if(($nomeGrupoProcedimento!="NÃO AGRUPADOS" && $nomeGrupoProcedimento!="NÃO SE APLICA")){
          echo "<option value='$idGrupoProcedimento'>GRUPO - $nomeGrupoProcedimento</option>";
        }
      }      
    }
    break;
}
